/* eslint-disable prettier/prettier */
export default function homePropsProvider(props) {
  const {
    userDetails,
    quotationList,
    birthdayOfUser,
    dataBirthday,
    openView,
    bdUserCurrentMonth,
    modalVisible,
    imgArr,
    arrPersonnel,
    wishTxt,
    wishList,
    openProfileComponent,
    openCheckIn,
    chooseSetting,
    chooseSettingView,
    openSettingView,
    hideMenu,
    OpenProfileUserComponent,
    setWishTxt,
    sendWishBirthday,
    SlidePersonnel,
    openModalHappyBirthday,
    closeModalHappyBirthday,
    openModalWishBirthday,
    closeModalWishBirthday,
    OpenURLButton,
    handleOpenDesBirthday,
    handleCloseDesBirthday,
    addMoreImgFromGallery,
    onCalendarChangeMonth,
    openCheckInPage,
    randomQuotation,
  } = props;
  return {
    userDetails,
    openView,
    openModalHappyBirthday,
    closeModalHappyBirthday,
    wishList,
    openProfileComponent,
    openCheckIn,
    chooseSetting,
    chooseSettingView,
    openSettingView,
    calendarBirthdayProps: {
      birthdayOfUser,
      bdUserCurrentMonth,
      handleOpenDesBirthday,
      onCalendarChangeMonth,
    },
    randomQuotation,
  };
}
