/* eslint-disable prettier/prettier */
import axiosClient from '../network/axios';

const authAPI = {
  requestConfirmOTP: ({otp, email}) =>
    axiosClient.post('check-otp', {otp, email}),

  requestSendMail: email =>
    axiosClient.post('users/forgotPassword?username=ntdung899@gmail.com'),

  requestChangePassword: payload => axiosClient.post('reset-password', payload),

  requestAuthenticate: ({username, password}) => {
    return axiosClient.post(
      `authenticate/authenticate?username=${username}&password=${password}`,
    );
  },

  requestLogout: ({token}) => axiosClient.post('authenticate/logout', {token}),
};

export default authAPI;
