/* eslint-disable prettier/prettier */
import ApiClient from '../network/axios';

const homeAPI = {
  requestGetQuotation: () => {
    return ApiClient.get(`getAllQuote`);
  },
  requestGetRandomQuotation: () => {
    return ApiClient.get(`getRandomQuotation`);
  },
  requestGetUsersDirectManagers: () => {
    return ApiClient.get(`myDirectManagers`);
  },
  requestGetBirthdayUser: ({month, year}) =>
    ApiClient.get(`users/statistics/birthday?year=${year}'&month=${month}`),
};

export default homeAPI;
